Bug 79027 - Breakpoints: Separate the Enable All/Diable All state from individual breakpoint's enabled/disabled state
Breakpoints: Separate the Enable All/Diable All state from individual breakpo...
Status: VERIFIED FIXED
Product: debugger
Classification: Unclassified
Component: Java
5.x
All All
: P3 (vote)
: 7.4
Assigned To: Martin Entlicher
issues@debugger
: API, API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-24 18:20 UTC by _ sandipchitale
Modified: 2013-05-15 15:00 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
The API change. (3.55 KB, patch)
2013-02-20 13:32 UTC, Martin Entlicher
Details | Diff
API with the implementation and test. (25.10 KB, patch)
2013-02-20 13:32 UTC, Martin Entlicher
Details | Diff
The API change. (3.46 KB, patch)
2013-02-26 15:40 UTC, Martin Entlicher
Details | Diff
API with the implementation and test. (59.71 KB, patch)
2013-02-26 15:41 UTC, Martin Entlicher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description _ sandipchitale 2006-06-24 18:20:38 UTC
Separate the Enable All/Diable All breakpoints state from individual 
breakpoint's enabled/disabled state. That way I can temporarily disable 
breakpoints without loosing the individual breakpoint's state which I may have 
landed up with painstakingly.
Comment 1 Martin Entlicher 2013-02-20 13:32:19 UTC
Created attachment 131607 [details]
The API change.
Comment 2 Martin Entlicher 2013-02-20 13:32:55 UTC
Created attachment 131609 [details]
API with the implementation and test.
Comment 3 Martin Entlicher 2013-02-20 13:33:47 UTC
Please review this simple API change for breakpoints activation/deactivation.
Comment 4 Jaroslav Tulach 2013-02-25 05:29:40 UTC
Y01 While "areBA" is semantically correct, the JavaBeans specification's convention over configuration requires you to use getBA or isBA. 

Y02 JavaBean specification would also use PropertyVetoException instead of UnsupportedOperationException

Btw. as a user I'd like to have an initial state for all breakpoints when debugging starts...
Comment 5 Martin Entlicher 2013-02-25 15:29:31 UTC
Thanks for your comments.
Y01: I've seen the use of "are" instead of "is" somewhere, but you're right that it's not in the JavaBeans spec. Although it's used in JDK API, e.g.:
http://docs.oracle.com/javase/7/docs/api/java/awt/Toolkit.html#areExtraMouseButtonsEnabled%28%29

I'll change the method to "getBreakpointsActive()"

Y02: I'll change the API setter to just set the value, which getter returns. And it would be upon the implementation class to override that or not.

The initial state it true - breakpoints are active.
Comment 6 Martin Entlicher 2013-02-26 15:40:23 UTC
Created attachment 131902 [details]
The API change.
Comment 7 Martin Entlicher 2013-02-26 15:41:00 UTC
Created attachment 131903 [details]
API with the implementation and test.
Comment 8 Martin Entlicher 2013-02-26 15:46:02 UTC
I've attached the new patch with the requested changes:
getBreakpointsActive() instead of areBreakpointsActive() and
JPDADebugger.setBreakpointsActive() does not throw UnsupportedOperationException. It does nothing, because, unfortunately, it can not fire PROP_BREAKPOINTS_ACTIVE property. The property firing code is in the implementation class. :-(

If there are no more comments, I'd like to push this change tomorrow. Thanks.
Comment 9 Martin Entlicher 2013-02-27 13:41:48 UTC
Pushed as changeset:   247465:6aaa2f6a3499
http://hg.netbeans.org/core-main/rev/6aaa2f6a3499
Comment 10 Quality Engineering 2013-03-01 02:00:32 UTC
Integrated into 'main-golden', will be available in build *201302282300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/6aaa2f6a3499
User: mentlicher@netbeans.org
Log: #79027: It's possible to deactivate/activate all breakpoints at once.
Comment 11 markiewb 2013-03-25 23:10:33 UTC
(In reply to comment #10)
> Integrated into 'main-golden', will be available in build *201302282300* on
> http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
> Changeset: http://hg.netbeans.org/main-golden/rev/6aaa2f6a3499
> User: mentlicher@netbeans.org
> Log: #79027: It's possible to deactivate/activate all breakpoints at once.

Nice. Now the 3rd-party plugin http://plugins.netbeans.org/plugin/2751 becomes obsolete.
Comment 12 Jiri Kovalsky 2013-05-15 15:00:29 UTC
Product Version: NetBeans IDE Dev (Build 201305142300)
Java: 1.7.0_21; Java HotSpot(TM) 64-Bit Server VM 23.21-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_21-b11
System: Linux version 3.0.0-12-generic running on amd64; UTF-8; cs_CZ (nb)
User directory: /home/cesilko/.netbeans/dev
Cache directory: /home/cesilko/.cache/netbeans/dev


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo